Repository (jakarta-bcel 5.2 API)
Keywords: org.apache.bcel.util.Repository interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.util
Interface Repository

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  ClassLoaderRepository, SyntheticRepository

    public interface Repository

extends Serializable

Abstract definition of a class repository. Instances may be used to load classes from different sources and may be used in the Repository.setRepository method.

Version:
  $Id: Repository.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  `Repository`

Method Summary
`void` | `clear()` Clear all entries from cache.
`JavaClass` | `findClass(String className)` Find the class with the name provided, if the class isn't there, return NULL.
`ClassPath` | `getClassPath()` Get the ClassPath associated with this Repository
`JavaClass` | `loadClass(Class clazz)` Find the JavaClass instance for the given run-time class object
`JavaClass` | `loadClass(String className)` Find the class with the name provided, if the class isn't there, make an attempt to load it.
`void` | `removeClass(JavaClass clazz)` Remove class from repository
`void` | `storeClass(JavaClass clazz)` Store the provided class under "clazz.getClassName()"

Method Detail

### storeClass

    void storeClass(JavaClass clazz)

  Store the provided class under "clazz.getClassName()"

### removeClass

    void removeClass(JavaClass clazz)

  Remove class from repository

### findClass

    JavaClass findClass(String className)

  Find the class with the name provided, if the class isn't there, return NULL.

### loadClass

    JavaClass loadClass(String className)
                        throws ClassNotFoundException

  Find the class with the name provided, if the class isn't there, make an attempt to load it.

  Throws:
    `ClassNotFoundException`

### loadClass

    JavaClass loadClass(Class clazz)
                        throws ClassNotFoundException

  Find the JavaClass instance for the given run-time class object

  Throws:
    `ClassNotFoundException`

### clear

    void clear()

  Clear all entries from cache.

### getClassPath

    ClassPath getClassPath()

  Get the ClassPath associated with this Repository

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.